<!-- -------------------- ./adm/uzrlist.html -------------------- -->

<?php include "head_top.html"; ?>

<?php include "part_tabs.html"; ?>

<!-- --------- start uzrlist ----------- -->

<nav class="navbar navbar-expand-lg navbar-expand-xl navbar-light bg-light">
 <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#admSearchuBar" aria-expanded="false" >
   <span class="navbar-toggler-icon"></span>
 </button>
 <span class="navbar-brand"><span class='badge badge-secondary' id='UzrCnt'><?php echo count($this->UFLIST); ?></span> utilisateurs :</span>&nbsp;&nbsp;<button class="btn btn-success btn-sm pull-right" type="button" href="#ModalUserCreate"  data-toggle="modal"><i class="fas fa-plus-circle"></i>&nbsp;créer utilisateur</button>

  <div class="collapse navbar-collapse" id="admSearchuBar">
    <ul class="navbar-nav mr-auto"></ul>
    <form class="form-inline my-2 my-lg-0">
       <div class="form-row align-items-center">
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-search"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMel" placeholder="chercher un mail" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F1']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-search"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchNam" placeholder="chercher un nom" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F2']; ?>">
          </div>
        </div>
        <div class="col-auto">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchCre" placeholder="chercher une date de création" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F3']; ?>">
          </div>
        </div>
        <div class="col-auto" style="display: none">
          <div class="input-group input-group-sm mb-1">
            <div class="input-group-prepend">
              <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
            </div>
            <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchPay" placeholder="chercher une date de paiement" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F4']; ?>">
          </div>
        </div>
      </div>
    </form>
  </div>
</nav>

<table id="uzrtable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;mail</th>
 <th>&nbsp;nom prenom</th>
 <th>&nbsp;nbr porte-document</th>
 <th>&nbsp;statut</th>
 <th>&nbsp;créé le </th>
 <!-- <th>&nbsp;fin abonnement</th> -->
 <th>&nbsp;actions</th>
</tr>
</thead>
<tbody>
<?php 
foreach ($this->UFLIST as $did => $udata ) : 
$dspnam = $udata['name']." ".$udata['gvname'];
?>
<tr class="datarow">
 <td><span class="umel"><?php echo $udata['mail']; ?></span></td>
 <td><span class="unam"><?php echo $dspnam; ?></span></td>
 <td>
<?php echo $udata['cnt']; if ( $udata['cnt'] > 0 ): ?>
  <a href="<?php echo $this->URL->GetAdmMethod1Arg("D4U",$udata['id']); ?>"><i class="far fa-eye"></i></a>
<?php endif; ?>
 </td>
 <td><?php echo $udata['status']; ?></td>
 <td><span class="ucre"><?php echo $udata['credate']; ?></span></td>
 <!-- <td><span class="upay"><?php echo $udata['paydate']; ?></span></td> -->
 <td>
  <div>
  <button type="button" class="btn my-btn-xs btn-primary" data-toggle="tooltip" data-placement="top" title="modifier utilisateur" onclick="ModUserModal(<?php echo $udata['id'].",'".$udata['mail']."','".$udata['name']."','".$udata['gvname']."','".$udata['status']."','".$udata['type']."','".substr($udata['paydate'],0,10)."'"; ?>)">&nbsp;<i class="far fa-edit"></i>&nbsp;</button> 
  <button type="button" class="btn my-btn-xs btn-danger" data-toggle="tooltip" data-placement="top" title="Supprimer" onclick="DelUserModal(<?php echo $udata['id'].",'".$dspnam."'"; ?>)">&nbsp;<i class="far fa-trash-alt"></i>&nbsp;</button>
  </div>
</td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

<!-- -------------------------------------------------------------------- -->

<!-- Delete User Modal -->
<div class="modal fade" id="ModalUserDelete" tabindex="-1" role="dialog" aria-labelledby="ModalUserDeleteTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('DelUser'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalUserDeleteTitle"><i class="fas fa-trash-alt"></i>&nbsp;Suppression d'un utilisateur</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalUserDeleteBody">
	<input id="mud_imp_uid" type="hidden" name="UID" value="">
	<p class="text-error">
	  <em>L'utilisateur <span class='badge badge-secondary' id='mud_tit_unam'></span><br>sera supprimé !</em><br> 
	</p>
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-danger btn-sm"> OK </button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<script>
function toggleUserType(typ,elm) {
    if ( typ == 'ldp' ) {
	$('#'+elm).hide();
    } else {
	$('#'+elm).show();
    }
}
</script>

<!-- -------------------------------------------------------------------- -->

<!-- Modify User Modal -->
<div class="modal fade" id="ModalUserModify" tabindex="-1" role="dialog" aria-labelledby="ModalUserModifyTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('ModUser'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalUserModifyTitle"><i class="fas fa-user"></i>&nbsp;Modification d'un utilisateur</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalUserModifyBody">

	<input id="mum_imp_uid" type="hidden" name="UID" value="">

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>adresse mel</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-envelope"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZMEL" id="mum_imp_mel" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>nom</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-tag"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZNAM" id="mum_imp_nam" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>prénom</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-tag"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZGVN" id="mum_imp_gvn" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>type de compte</em></label>
	  <div class="col-sm-9">
	    <div class="form-check">
	      <input class="form-check-input" type="radio" name="UZTYP" id="mum_imp_typ1" value="ldap" onclick="toggleUserType('ldp','mum_div_pwd')">
	      <label class="form-check-label" for="mum_imp_typ1">relié au SSO</label>
	    </div>
	    <div class="form-check">
	      <input class="form-check-input" type="radio" name="UZTYP" id="mum_imp_typ2" value="std" onclick="toggleUserType('std','mum_div_pwd')">
	      <label class="form-check-label" for="mum_imp_typ2">indépendant</label>
	    </div>
	  </div>
	</div>
	
	<div class="form-group row" id="mum_div_pwd" >
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>mot de passe</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-key"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZPWD" id="mum_imp_pwd" >
	  </div>
	</div>

	<hr>

	<div class="form-group row">
	  <label for="frm-nat" class="col-sm-3 col-form-label text-right"><em>statut</em></label>
	  <div class="input-group col-sm-3">
            <div class="input-group-prepend">
              <div class="input-group-text"><i class="fas fa-user-ninja"></i></div>
            </div>
            <select class="form-control" name="UZSTS" id="mum_sel_sts">
              <?php foreach ($this->STATUSES as $sts ) : ?>
              <option value="<?php echo $sts; ?>" ><?php echo $sts; ?></option>
              <?php endforeach; ?>
            </select>
          </div>
        </div>

	<!--  no longer used in GN context
        <div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>fin abonnement</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-calendar-alt"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="ENDSUB" id="mum_imp_end" >
	  </div>
	</div>
	-->
	
      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-primary btn-sm">Valider</button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Create User Modal -->
<div class="modal fade" id="ModalUserCreate" tabindex="-1" role="dialog" aria-labelledby="ModalUserCreateTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
    <div class="modal-content">
      <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('CreUser'); ?>" target="_top">
       <div class="modal-header">
        <h4 class="modal-title" id="ModalUserCreateTitle"><i class="fas fa-user"></i>&nbsp;Création d'un utilisateur</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="ModalUserCreateBody">

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>adresse mel</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-envelope"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZMEL" id="cum_imp_mel" placeholder="mail identifiant l'utilisateur" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>nom</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-tag"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZNAM" id="cum_imp_nam" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>prénom</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-tag"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZGVN" id="cum_imp_gvn" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>type de compte</em></label>
	  <div class="col-sm-9">
	    <div class="form-check">
	      <input class="form-check-input" type="radio" name="UZTYP" id="cum_imp_typ1" value="ldap" checked onclick="toggleUserType('ldp','cum_div_pwd')">
	      <label class="form-check-label" for="cum_imp_typ1">relié au SSO</label>
	    </div>
	    <div class="form-check">
	      <input class="form-check-input" type="radio" name="UZTYP" id="cim_imp_typ2" value="std" onclick="toggleUserType('std','cum_div_pwd')">
	      <label class="form-check-label" for="cum_imp_typ2">indépendant</label>
	    </div>
	  </div>
	</div>
	
	<div class="form-group row" id="cum_div_pwd" style="display: none">
	  <label for="frm-dat" class="col-sm-3 col-form-label text-right"><em>mot de passe</em></label>
	  <div class="input-group col-sm-9">
            <div class="input-group-prepend">
	      <div class="input-group-text"><i class="fas fa-key"></i></div>
            </div>
            <input type="text" class="form-control" value="" name="UZPWD" id="cum_imp_pwd" >
	  </div>
	</div>

	<div class="form-group row">
	  <label for="frm-nat" class="col-sm-3 col-form-label text-right"><em>statut</em></label>
	  <div class="input-group col-sm-3">
            <div class="input-group-prepend">
              <div class="input-group-text"><i class="fas fa-user-ninja"></i></div>
            </div>
            <select class="form-control" name="UZSTS" id="cum_sel_sts">
              <?php foreach ($this->STATUSES as $sts ) : ?>
              <option value="<?php echo $sts; ?>" ><?php echo $sts; ?></option>
              <?php endforeach; ?>
            </select>
          </div>
        </div>

      </div>
      <div class="modal-footer">
	<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
	<button type="submit" class="btn btn-primary btn-sm">Valider</button>
      </div>
     </form>
    </div>
  </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#uzrtable").tablesorter({headers:{5:{sorter:false}},sortList: [[<?php echo $this->SVSORT; ?>]]} ); 
  GlobalUzFilter();
} 
); 
</script>

<script>
  $('[data-toggle="tooltip"]').tooltip();
  $('#uzrtable').on('sortEnd', function(event) {
    SortSave('AU', event.target.config.sortList);
  });

</script>


</body>
</html>


